### Method

# Pango.LayoutIter.get_cluster_extents

#### Declaration [src]

    void
    pango_layout_iter_get_cluster_extents (
      PangoLayoutIter* iter,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Gets the extents of the current cluster, in layout coordinates (origin is the top left of the entire layout).

#### Parameters

`ink_rect` | `PangoRectangle`
| rectangle to fill with ink extents, or `NULL`
| Direction: out
| Ownership is not transferred to the callee
`logical_rect` | `PangoRectangle`
| rectangle to fill with logical extents, or `NULL`
| Direction: out
| Ownership is not transferred to the callee